I cant find in the GMS docs, which version(s) of Javascript, the GMS HTML license outputs in

I was reading a brief description about the different versions of javascript on W3Schools.com's website. Then went to look at the GMS documentation , to find information about what versions of Javascripti in the GML HTML license ( which I have ) is the javascript code generated in, but I couldn't find anything about this in GMS documentation .

On W3Schools.com, of this web page, they list the additions of functions that were added in the following version changes :

Javascript Versions

So, what version(s) of javascript ( according to W3Schools.com webpage) does GMS currently builds in, in the latest update, does GMS IDE 2.3.1.536
( or the GMS HTML license ) when it produces the javascript output ? The reason I am asking this, is because not all web browsers are compliant in their implementation of these javascript versions. To add, it may be that some web browsers , those that are up to date currently, are not backward compatible to older versions of Javascript, with the problem if GMS outputs javascript that is not compliant to the current version of javascript that is expected on those web browsers.

For instance, the web browser that I am using to view this forum is Firefox 83.0 (64-bit) - may not be compatible with earlier versions of javascript than the version of javascript it is expecting to interpret from a web page's script.

Secondly, GMS in its preferences for the code output does NOT offer a choice of what version of javascript you want it to output it in, in what I have read in the documentation so far. The GMS documentation at certain parts, is not concise in this context about javascript.

Thank you.
 

Nocturne

Friendly Tyrant
Forum Staff
Admin
Moderator
I'm almost certain it's ECMAScript 5, although it may now be 6 with the changes in 2.3.1. I'm 100% sure it won't be anything older though... And it's not in the docs as I don't think anyone has ever asked this before! Might be worthwhile contacting YYG to get a second opinion on what I say and also request that the information be placed in the docs in a future update for reference.
 
I'm almost certain it's ECMAScript 5, although it may now be 6 with the changes in 2.3.1. I'm 100% sure it won't be anything older though... And it's not in the docs as I don't think anyone has ever asked this before! Might be worthwhile contacting YYG to get a second opinion on what I say and also request that the information be placed in the docs in a future update for reference.
ok thank you!
 
Top